Bug 27471 - Linux emulation is missing code needed to run Linux Realproducer
Summary: Linux emulation is missing code needed to run Linux Realproducer
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 4.3-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bruce M Simpson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-05-20 20:10 UTC by gavin
Modified: 2008-06-07 07:11 UTC (History)
0 users

See Also:


Attachments
linux_ioctl.h.diff (924 bytes, patch)
2001-05-20 20:10 UTC, gavin
no flags Details | Diff
linux_ioctl.c.diff (1.19 KB, patch)
2001-05-20 20:10 UTC, gavin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gavin 2001-05-20 20:10:00 UTC
Linux Realproducer requires emulation of the SOUND_MIXER_WRITE_RECSRC call, which is missing. Also included in the patch are a couple of other call patches for other linux audio programs (eg Debian aumix).

How-To-Repeat: Try to run RealProducer Basic (from http://www.realnetworks.com/products/producer/ ) under Linux emulation. it fails, with kernel log message 
"May 14 01:17:13 streamer /kernel: linux: 'ioctl' fd=4, cmd=4dff ('M',255) not implemented"
Comment 1 vova 2001-05-21 16:09:20 UTC
I have applied your patch, so no more ioctl error message, but still
not working:

# /usr/local/realproducer-8.0/realproducer -l 2:1,0:0 -s server.express.ru:4040/test.rm -u live -p live1 -h "Some Author" -b "Some Title" -c Copyright -q Description -n "Key Words" -y 1 -z 0 -a 2 -v 0 -t 5 -in 1 -k 1 -nf 1 -r 1 -di 1 -lp 1

Source:
        Audio:  Linux/OSS audio capture plug-in (/dev/dsp) [Line In]
Output:         server.express.ru:4040/test.rm
Title:          Some Title
Author:         Some Author
Copyright:              Copyright
Keywords:               Key Words
Description:            Description
Target Audience: Corporate LAN
Audio Format:   Music
No Video
Allow Recording:Enabled
Allow Download: Enabled
Server Type:    SureStream

Encoding...
ERROR: encoding failed, A General Error occurred.

------> Ending Run: Mon May 21 20:06:01 2001
# truss /usr/local/realproducer-8.0/realproducer -l 2:1,0:0 -s server.express.ru:4040/test.rm -u live -p live1 -h "Some Author" -b "Some Title" -c Copyright -q Description -n "Key Words" -y 1 -z 0 -a 2 -v 0 -t 5 -in 1 -k 1 -nf 1 -r 1 -di 1 -lp 1 | & fgrep \'
...
linux_newlstat(0xbfbfc2d8,0xbfbfa220)            ERR#2 'No such file or directory'
linux_newlstat(0xbfbfc238,0xbfbfa180)            ERR#2 'No such file or directory'
linux_newlstat(0xbfbfc238,0xbfbfa180)            ERR#2 'No such file or directory'
read(0x3,0xbfbfe334,0x8)                         ERR#35 'Resource temporarily unavailable'
linux_kill(0x32c,0x9)                            ERR#3 'No such process'
linux_open("/tmp/fileuldiZt.rm",0,0600)          ERR#2 'No such file or directory'
linux_open("",0,0600)                            ERR#2 'No such file or directory'
linux_open("",0,0600)                            ERR#2 'No such file or directory'
linux_open("",0,0600)                            ERR#2 'No such file or directory'
linux_open("",0,0600)                            ERR#2 'No such file or directory'
# 


Any Ideas ?

--
TSB Russian Express, Moscow
Vladimir B. Grebenschikov, vova@express.ru
Comment 2 Bruce M Simpson freebsd_committer 2004-06-18 13:12:31 UTC
Responsible Changed
From-To: freebsd-bugs->bms

I'll field this
Comment 3 Bruce M Simpson freebsd_committer 2004-06-18 15:30:03 UTC
State Changed
From-To: open->patched

Committed to HEAD (with cleanups), thanks!
Comment 4 Bruce M Simpson freebsd_committer 2004-11-02 07:02:09 UTC
State Changed
From-To: patched->closed

RELENG_5 has now been branched as -STABLE